### Name: db.grid.fill
### Title: Fill the empty cells of a Grid
### Aliases: db.grid.fill
### Keywords: classes

### ** Examples

# Example for ndim>1
grid = db.create(nx=c(100,100))
grid = simtub(,grid,model.create(vartype=4,range=20))
plot(grid,title="Reference map")
grid = db.rename(grid,grid$natt,"my.var")
grid = db.add(grid,my.new.var = ifelse(my.var > 1,NA,my.var))
grid = db.grid.fill(grid)
plot(grid,title="Reconstructed map")
rm(grid)

# Example in 1-D
db1D = db.create(nx=600,dx=0.01)
db1D = db.add(db1D,real=sin(db1D$x1))
data = rep(NA,db1D$nech)
index = sort(unique(floor(db1D$nech*runif(10))))
data[index] = db1D[index,"real"]
db1D = db.add(db1D,data)
plot(db1D,name.post="data",pch=19,col="red")
db1D = db.grid.fill(db1D,mode=1,modify.target=FALSE,radix="spline")
plot(db1D,add=TRUE,name="spline*")
db1D = db.grid.fill(db1D,mode=0,modify.target=FALSE,radix="linear")
plot(db1D,add=TRUE,name="linear*")
rm(db1D)



