### Name: db.replace
### Title: Replace the contents of a variable of a Db
### Aliases: db.replace
### Keywords: classes

### ** Examples

# Create a 10 by 10 grid and operate the selection of a rectangle
a = db.create(nx=c(10,10))
a = db.sel(a,x1 > 3 & x1 < 8 & x2 > 4 & x2 < 8)
a

# Add the random variable 'z1' on the 'whole' grid (Uniform between 0 and 1)
a = db.add(a,z1=runif(100))
a

# Extract unmasked part of uniform variable (tab)
# and modify it into the constant 5
tab = db.extract(a,"z1")
tab = 5 * (tab > 0)

# Replace the previous contents of the uniform variable by the modified tab
b  = db.replace(a,"z1",tab)

# Plot the variable 'z1' (suprressing the selection on the fly)
plot(db.sel(b))



