### Name: simtub
### Title: Performs Simulations
### Aliases: simtub
### Keywords: classes

### ** Examples


# Acceptation function: an outcome is valid if more than 90 per cent #
# of its pixels have a value larger than -1                          #

accept <- function(db,iatt) 
{
  ok  = (mean(db.extract(db,iatt) > -1) > 0.9)
  res = list(ok=ok, db=db)
  res
}

# Perform a conditional simulation of facies #
nbsimu = 25
grid   = db.create(nx=c(100,100))
model  = model.create(vartype="Cubic",range=70)

grid = simtub(,grid,model=model,
       accept.fun=accept,nbsimu=nbsimu,nbtuba=1000)
grid = db.locerase(grid,"z")
grid = db.compare(grid,names="Simu*",fun="mean")
plot(grid,title="Average of Simulations (under constraints)",pos.legend=1)

rm(grid,model,nbsimu,accept)



