### Name: streamlines
### Title: Calculate the set of streamlines from Drop points in a Grid Db
### Aliases: streamlines
### Keywords: classes

### ** Examples

# Create a grid 100 x 100
grid  = db.create(nx=c(100,100))
# Create a K-Bessel Model
model = model.create(vartype=8,range=50,sill=1,param=2)
# Perform a non-conditional simulation on the grid
grid  = spde(,grid,model)
# Calculate the streamlines (for one node every 190) and represent them
set.keypair("Streamline_Skip",190)
a = streamlines(grid,flag.draw=TRUE,niter=100,step=10,
    title="Topography and Streamlines")
rm(grid,model,a)



